info.bioinfweb.jphyloio.formats.nexml.receivers

## Class NeXMLIgnoreCertainMetadataReceiver

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.receivers.BasicEventReceiver<P>
  - - info.bioinfweb.jphyloio.formats.xml.receivers.AbstractXMLDataReceiver<NeXMLWriterStreamDataProvider>
    - - info.bioinfweb.jphyloio.formats.nexml.receivers.AbstractNeXMLDataReceiver
      - - info.bioinfweb.jphyloio.formats.nexml.receivers.NeXMLMetaDataReceiver
        - - info.bioinfweb.jphyloio.formats.nexml.receivers.NeXMLPredicateMetaReceiver
          - - info.bioinfweb.jphyloio.formats.nexml.receivers.NeXMLIgnoreCertainMetadataReceiver

- All Implemented Interfaces:
    JPhyloIOEventReceiver, NeXMLConstants

      public class NeXMLIgnoreCertainMetadataReceiver
      extends NeXMLPredicateMetaReceiver

  Receiver that is able to ignore metadata events with certain predicates, e.g. if they were already processed by `NeXMLAttributeMetadataReceiver` to be written as attributes. The content of the ignored events will not be written to the file by this receiver.
  Author:
    Sarah Wiechers

- - ### Field Summary

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexml.NeXMLConstants

      `ATTR_ABOUT, ATTR_CELL_SET_LINKED_IDS, ATTR_CHAR_SET_LINKED_IDS, ATTR_CODON_POSITION, ATTR_CONTENT, ATTR_DATATYPE, ATTR_GENERATOR, ATTR_HREF, ATTR_ID, ATTR_LABEL, ATTR_LENGTH, ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS, ATTR_NODE_EDGE_SET_LINKED_NODE_IDS, ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS, ATTR_OTU_SET_LINKED_IDS, ATTR_OTUS, ATTR_PROPERTY, ATTR_REL, ATTR_ROOT, ATTR_SEQUENCE_SET_LINKED_IDS, ATTR_SINGLE_CHAR_LINK, ATTR_SINGLE_OTU_LINK, ATTR_SINGLE_STATE_LINK, ATTR_SOURCE, ATTR_STATE_SET_LINKED_IDS, ATTR_STATES, ATTR_SYMBOL, ATTR_TARGET, ATTR_TOKENS, ATTR_TREE_SET_LINKED_NETWORK_IDS, ATTR_TREE_SET_LINKED_TREE_IDS, ATTR_VERSION, ATTR_XSI_TYPE, DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX, NEXML_DEFAULT_NAMESPACE_PREFIX, NEXML_FORMAT_NAME, NEXML_NAMESPACE, NEXML_NAMESPACE_PREFIX, NEXML_PREDICATE_NAMESPACE, NEXML_VERSION, PREDICATE_CHAR_ATTR_CODON_POSITION, PREDICATE_CHAR_ATTR_TOKENS, PREDICATE_FORMAT, PREDICATE_MATRIX, PREDICATE_ORIGINAL_LABEL, PREDICATE_ORIGINAL_TOKEN_NAME, TAG_CELL, TAG_CHAR, TAG_CHARACTERS, TAG_EDGE, TAG_FORMAT, TAG_MATRIX, TAG_MEMBER, TAG_META, TAG_NETWORK, TAG_NODE, TAG_OTU, TAG_OTUS, TAG_POLYMORPHIC, TAG_ROOT, TAG_ROOTEDGE, TAG_ROW, TAG_SEQ, TAG_SET, TAG_STATE, TAG_STATES, TAG_TREE, TAG_TREES, TAG_UNCERTAIN, TYPE_CONTIN_CELLS, TYPE_CONTIN_SEQ, TYPE_DNA_CELLS, TYPE_DNA_SEQS, TYPE_FLOAT_NETWORK, TYPE_FLOAT_TREE, TYPE_INT_NETWORK, TYPE_INT_TREE, TYPE_LITERAL_META, TYPE_PROTEIN_CELLS, TYPE_PROTEIN_SEQS, TYPE_RESOURCE_META, TYPE_RESTRICTION_CELLS, TYPE_RESTRICTION_SEQS, TYPE_RNA_CELLS, TYPE_RNA_SEQS, TYPE_STANDARD_CELLS, TYPE_STANDARD_SEQ, UNDEFINED_OTU_ID_PREFIX, UNDEFINED_OTU_LABEL, UNDEFINED_OTUS_ID_PREFIX, UNDEFINED_OTUS_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeXMLIgnoreCertainMetadataReceiver(NeXMLWriterStreamDataProvider streamDataProvider, ReadWriteParameterMap parameterMap, boolean writePredicateMetadata, javax.xml.namespace.QName... predicates)` Creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleComment(CommentEvent event)`
    `protected void` | `handleLiteralContentMeta(LiteralMetadataContentEvent event)`
    `protected void` | `handleLiteralMetaStart(LiteralMetadataEvent event)`
    `protected void` | `handleMetaEndEvent(JPhyloIOEvent event)`
    `protected void` | `handleResourceMetaStart(ResourceMetadataEvent event)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.nexml.receivers.NeXMLPredicateMetaReceiver

      `changeMetaLevel, getMetaLevel, getPredicates, isUnderPredicate, setMetaLevel, setUnderPredicate`

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.receivers.BasicEventReceiver

      `add, addIgnoredComments, addIgnoredLiteralMetadata, addIgnoredResourceMetadata, addIgnoreLogMessage, didIgnoreComments, didIgnoreLiteralMetadata, didIgnoreMetadata, didIgnoreResourceMetadata, doAdd, getIgnoredComments, getIgnoredLiteralMetadata, getIgnoredMetadata, getIgnoredResourceMetadata, getLogger, getParameterMap, getParentEvent, getParentEvents, getStreamDataProvider, isInComment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeXMLIgnoreCertainMetadataReceiver

          public NeXMLIgnoreCertainMetadataReceiver(NeXMLWriterStreamDataProvider streamDataProvider,
                                                    ReadWriteParameterMap parameterMap,
                                                    boolean writePredicateMetadata,
                                                    javax.xml.namespace.QName... predicates)

      Creates a new instance of this class.
      Parameters:
        `writer` - the XML writer of the calling `NeXMLEventWriter`
        `parameterMap` - the parameter map of the calling `NeXMLEventWriter`
        `streamDataProvider` - the stream data provider of the calling `NeXMLEventReader`
        `writePredicateMetadata` - specify {code true} here if only metadata nested under the specified predicates should be written or `false` if metadata under these predicates should be ignored
        `predicates` - the predicates to be processed in a special way

  - ### Method Detail

    - #### handleLiteralMetaStart

          protected void handleLiteralMetaStart(LiteralMetadataEvent event)
                                         throws java.io.IOException,
                                                javax.xml.stream.XMLStreamException

      Overrides:
        `handleLiteralMetaStart` in class `NeXMLMetaDataReceiver`
      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`

    - #### handleLiteralContentMeta

          protected void handleLiteralContentMeta(LiteralMetadataContentEvent event)
                                           throws java.io.IOException,
                                                  javax.xml.stream.XMLStreamException

      Overrides:
        `handleLiteralContentMeta` in class `NeXMLMetaDataReceiver`
      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`

    - #### handleResourceMetaStart

          protected void handleResourceMetaStart(ResourceMetadataEvent event)
                                          throws java.io.IOException,
                                                 javax.xml.stream.XMLStreamException

      Overrides:
        `handleResourceMetaStart` in class `NeXMLMetaDataReceiver`
      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`

    - #### handleComment

          protected void handleComment(CommentEvent event)
                                throws java.io.IOException,
                                       javax.xml.stream.XMLStreamException

      Overrides:
        `handleComment` in class `NeXMLMetaDataReceiver`
      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`

    - #### handleMetaEndEvent

          protected void handleMetaEndEvent(JPhyloIOEvent event)
                                     throws java.io.IOException,
                                            javax.xml.stream.XMLStreamException

      Overrides:
        `handleMetaEndEvent` in class `NeXMLMetaDataReceiver`
      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`